/**
 * 读取图片解码引擎
 * */

#ifndef READIMGENGINE_H
#define READIMGENGINE_H

#include "AppCommon.h"

#include "EngineBase.h"
#include "EngineFactory.h"
#include "MyYaml.h"


class ReadImgEngine : public ai_matrix::EngineBase
{
public:
    ReadImgEngine();
    ~ReadImgEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

protected:
    void RecursionReadDir(const std::string &dir); //递归读取文件夹

private:
    std::string GetFileName(const std::string &strParam);

    bool bUseEngine_;
    ai_matrix::DataSourceConfig dataSourceConfig_;
    std::vector<std::string> vecFiles_; //文件名集合
    uint64_t frameid_;      //帧号
    uint64_t timestamp_;    //时间戳
    std::string strPort0_;

};

ENGINE_REGIST(ReadImgEngine)

#endif
